<?php
require('paymentPlugin.php');
class pay_zfbjk extends paymentPlugin{

    var $name = '支付宝免签约接口';
    var $logo = 'ALIPAY';
    var $charset="utf8";
    var $version = 20180821;
    var $submitUrl = "./alidirectV2/index.php";//正式
    var $submitButton = 'http://img.alipay.com/pimg/button_alipaybutton_o_a.gif';
    var $supportCurrency = array("CNY"=>"156");
    var $supportArea = array('AREA_CNY');
    var $M_Language = '1';
    var $orderby = 16;
    var $head_charset="utf-8";

    function toSubmit($payment){
        $alidirect_pid = $this->getConf($payment["M_OrderId"], 'alidirect_pid');
        $alidirect_key = $this->getConf($payment["M_OrderId"], 'alidirect_key');
        $alidirect_account = $this->getConf($payment["M_OrderId"], 'alidirect_account');
		
		$result = $this->system->db->select("SELECT * FROM sdb_payments where payment_id = '".$payment["M_OrderId"]."'");
		if(!$result)
		{
			exit("订单生成错误，请重新提交订单");
		}
		else
		{
			$title = $result[0]["id"];
		}
		
        $return['optEmail'] = $alidirect_account;
        $return['title'] = $title;
        $return['payAmount'] = $payment['M_Amount'];
        $return['payment_id'] = $payment["M_OrderId"];
        //$return['PageRetUrl'] = $this->callbackUrl;
        return $return;
    }

    function callback($in,&$paymentId,&$money,&$message){
    }

    function getfields(){
        return array(
            'alidirect_pid'=>array(
                'label'=>'商户ID',
                'type'=>'string'
            ),
            'alidirect_key'=>array(
                'label'=>'商户密钥',
                'type'=>'string'
            ),
            'alidirect_account'=>array(
                'label'=>'收款支付宝',
                'type'=>'string'
            )
        );
    }

    function intString($intvalue,$len){
        $intstr=strval($intvalue);
        for ($i=1;$i<=$len-strlen($intstr);$i++){
            $tmpstr .= "0";
        }
        return $tmpstr.$intstr;
    }
}
?>